module wei_kxmva
  !! fk-fx migration velocity analysis
  use wei_util
  use wei_pro
  use wei_attr
  !---------------
  implicit none
contains
  !----------------------------------------------------------------
  subroutine weikxmva(bwfld,dwfld,dssou,dsrec,iws,izs,ith,SCop)
    complex, dimension(:,:,:,:,:), pointer :: bwfld, dwfld
    complex, dimension(:,:,:,:,:), pointer :: dssou, dsrec
    integer :: izs,iws,ith
    integer :: st
#ifdef DEBUG
    character(len=128), parameter :: unit='weikxmva'
#endif
    interface !!-------------------------
       integer function SCop(bwfld,dwfld,dssou,dsrec,iws,izs,ith) result(st)
         complex, dimension(:,:,:,:,:), pointer :: bwfld,dwfld
         complex, dimension(:,:,:,:,:), pointer :: dssou,dsrec
         integer, intent(in)       :: iws,izs,ith
       end function SCop
    end interface !!---------------------
#ifdef DEBUG
    if(wpro%dbg>9) call in(unit)
#endif

    st = SCop(bwfld,dwfld,dssou,dsrec,iws,izs,ith)

#ifdef DEBUG
    if(wpro%dbg>9) call out(unit)
#endif
  end subroutine weikxmva
  !----------------------------------------------------------------
end module wei_kxmva




















